Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 May 2017 17:41:02 +0300

> Date: Mon, 08 May 2017 08:48:12 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], 
>  [email-masked]
> 
>  > What happens
>  > when you set wrap-prefix to some string value and then turn on
>  > visual-line-mode in a buffer with lines longer than the window width?
> 
> No special problems found but for one: If the window is narrower than
> the wrap-prefix, Emacs may hang with all processor cycles it can get.
> But this is easily reproducible here without setting the new parameter.

This should probably be reported as a separate bug, but if it exists
with previous code, it's unrelated to this feature.

>  >> Also, IIUC Clément has no intention to make such buffers scrollable,
>  >> editable or focusable.  So if necessary we can also forbid such actions.
>  >
>  > ??? This is a general-purpose feature, not something created for a
>  > single use case.  And I don't quite see how you can forbid cursor
>  > motion without also forbidding a lot of other useful features.
> 
> We could treat such frames like tooltip frames.  But I currently see no
> need for such harsh measures.

Agreed.